:root {
  --gray-1: #0d0e2c;
  --gray-2: #4b4e6b;
  --gray-25: #4b4e6b;
  --gray-3: #cdcfe1;
  --gray-4: #f1f1f1;
  --blue: #1820ff;
  --white: #ffffff;
}

*,
html,
body {
  box-sizing: border-box;
  font-family: var(--apfel), sans-serif;
  margin: 0;
  padding: 0;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

body {
  background: url("./wall/omg.jpg");
  background-size: cover;
  overflow: hidden;
  transform: scale(1.5);
}

.App {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  width: 100vw;
  overflow: hidden;
}

::selection {
  color: var(--blue);
}

h1 {
  color: inherit;
  font-size: 72px;
  font-weight: 400;
  letter-spacing: -2%;
  line-height: 72px;
  margin-bottom: 16px;
  text-transform: uppercase;
}

h2 {
  color: inherit;
  font-size: 72px;
  font-weight: 400;
  letter-spacing: -2%;
  line-height: 72px;
  margin-bottom: 16px;
  text-transform: uppercase;
}

h3 {
  color: inherit;
  font-size: 20px;
  font-weight: 400;
  line-height: 32px;
  text-transform: uppercase;
}

p {
  color: inherit;
  font-size: 18px;
  font-weight: 400;
  line-height: 28px;

  &.tiny {
    font-size: 14px;
    line-height: 20px;
  }
}

a {
  text-decoration: none;
}

ul {
  list-style: none outside none;
}

button {
  background: transparent;
  border: none;
  color: var(--gray-2);
  cursor: pointer;
  font-family: inherit;
  font-size: 20px;
  font-weight: 400;
  line-height: 32px;
  padding: 4px 8px;
  text-decoration: none;
  text-transform: uppercase;
  transition: 0.2s;
}

// grid

.grid {
  display: grid;
  grid-gap: 32px;
  grid-template-columns: repeat(12, 250px);
  grid-template-rows: repeat(12, 250px);
  grid-template-areas:
    ". . . . . . . . . . . ."
    ". . . . . . . . . . . ."
    ". . . a1 a1 a1 . . . . . ."
    ". . . . . . . . . . . ."
    ". . . . a5 . . . a2 . . ."
    ". . . . t t t t . . . ."
    ". . . . t t t t . . . ."
    ". . a3 a3 . . . . . . . ."
    ". . a3 a3 . . . a4 a4 a4 . ."
    ". . . . . . . a4 a4 a4 . ."
    ". . . . . . . a4 a4 a4 . ."
    ". . . . . . . . . . . .";
  padding: 200px;
  touch-action: none;
  user-select: none;

  &:hover {
    cursor: grab;
  }

  &:active {
    cursor: grabbing;
  }
}

// mini map

.map {
  backdrop-filter: blur(10px);
  background: rgba(255, 255, 255, 0.5);
  border-radius: 24px;
  bottom: 40px;
  box-shadow: 0px 6px 20px -6px rgba(0, 2, 62, 0.08);
  height: 100px;
  pointer-events: none;
  position: absolute;
  width: 100px;
  z-index: 2;
}

.position {
  background: var(--gray-1);
  border-radius: 100%;
  height: 16px;
  left: calc(50% - 8px);
  margin: 0 auto;
  position: absolute;
  top: calc(50% - 8px);
  width: 16px;
}

// cards

.card-container {
  color: var(--gray-1);
  cursor: pointer;
  filter: drop-shadow(0px 8px 8px rgba(0, 2, 55, 0.08));
  height: 100%;
  position: relative;
  width: 100%;
  transition: all 0.2s ease;

  &.even {
    transform: rotate(-5deg);

    &:hover {
      transform: scale(0.95) rotate(-9deg);
    }

    &:active {
      transform: scale(0.92) rotate(-12deg);
    }
  }

  &.odd {
    transform: rotate(3deg);

    &:hover {
      transform: scale(0.95) rotate(7deg);
    }

    &:active {
      transform: scale(0.92) rotate(10deg);
    }
  }

  &:hover {
    filter: drop-shadow(0px 5px 5px rgba(0, 2, 55, 0.06));

    video {
      transform: scale(1.1);
    }

    .arrow-container {
      .one {
        transform: translate(20px, -20px);
      }
      .two {
        transform: translate(0px, 0px);
      }
    }

    .card-content {
      color: var(--blue);
    }

    .card-img {
      background-size: 120% !important;
    }

    h3 {
      letter-spacing: 1px;
    }
  }

  &:active .card-img {
    background-size: 140% !important;
  }
  &:active video {
    transform: scale(1);
  }
}

.card-img {
  height: 80%;
  overflow: hidden;
  position: relative;
  transition: 0.2s ease;

  video {
    transition: 0.2s ease;
    transform: scale(1.3);
    width: 120%;
    pointer-events: none;
  }

  &:after {
    background: url("./wall/paper.jpg");
    background-size: cover;
    content: "";
    filter: brightness(20%);
    height: 100%;
    pointer-events: none;
    position: absolute;
    left: 0;
    mix-blend-mode: difference;
    top: 0;
    width: 100%;
  }
}

.card-content {
  align-items: center;
  background: var(--white);
  display: flex;
  justify-content: space-between;
  padding: 24px 24px 0px 24px;
  position: relative;

  h3 {
    transition: 0.2s ease;
  }

  &:after {
    background: url("./wall/rip.svg") top center;
    bottom: -39px;
    content: "";
    height: 40px;
    position: absolute;
    left: 0;
    width: 100%;
  }
}

.arrow-container {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  width: 24px;
  height: 24px;
  overflow: hidden;

  .arrow {
    position: absolute;
    transition: 0.2s ease;

    &.two {
      transform: translate(-20px, 20px);
    }
  }
}

// title

.title {
  grid-area: t;
  margin: auto auto;
  max-width: 1012px;

  h2 {
    text-align: center;
    opacity: 0;
  }

  .social-container {
    display: flex;
    margin: 0 auto;
    opacity: 0;
    padding-top: 12px;
    width: max-content;

    a {
      color: var(--gray-2);
      transition: 0.2s;

      &:hover {
        color: var(--gray-1);
      }
    }

    h3 {
      margin: 0 4px;
    }

    .divider {
      color: var(--gray-2);
      opacity: 0.5;
    }
  }

  span {
    color: var(--blue);
  }
}

// menu

.menu-button {
  position: absolute;
  top: 56px;
  z-index: 10;

  &:after {
    background: var(--gray-1);
    border-radius: 8px;
    color: var(--white);
    content: "⌘ + m";
    font-size: 14px;
    left: 0;
    opacity: 0;
    padding: 2px 10px;
    pointer-events: none;
    position: absolute;
    top: -36px;
    transition: 0.2s;
    transition-delay: 0s;
    width: max-content;
  }

  &:hover:after {
    opacity: 1;
    transition-delay: 0.4s;
  }

  &:hover {
    color: var(--gray-1);
  }

  &[populate="true"] {
    color: var(--gray-1);
  }

  &[populate="false"] {
    &:hover {
      color: var(--gray-1);
    }
  }
}

.overlay {
  align-items: center;
  backdrop-filter: blur(1px);
  background: rgba(0, 0, 0, 0.05);
  display: none;
  height: 100vh;
  justify-content: center;
  position: absolute;
  width: 100vw;
  z-index: 3;

  &[populate="true"] {
    animation: openOverlay 0.1s ease forwards;
    display: block;
  }

  &[populate="false"] {
    animation: closeOverlay 0.25s ease forwards;
    display: block;
  }
}

@keyframes openOverlay {
  to {
    opacity: 1;
  }
}

@keyframes closeOverlay {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
    visibility: hidden;
  }
}

.menu {
  backdrop-filter: blur(20px);
  background: rgba(255, 255, 255, 0.75);
  border-radius: 10px;
  box-shadow: 0px 6px 20px -6px rgba(0, 2, 62, 0.15);
  display: none;
  max-height: 400px;
  opacity: 0;
  overflow: hidden;
  position: absolute;
  top: 30%;
  transform: scale(0.98);
  width: 640px;
  z-index: 1000;

  &[populate="true"] {
    animation: openMenu 0.1s ease forwards;
    display: block;
  }

  &[populate="false"] {
    animation: closeMenu 0.5s ease forwards;
    display: block;
  }
}

@keyframes openMenu {
  to {
    opacity: 1;
    transform: scale(1);
  }
}

@keyframes closeMenu {
  from {
    opacity: 1;
    transform: scale(1);
  }
  to {
    opacity: 0;
    transform: scale(0.98);
    visibility: hidden;
  }
}

// menu results

.results {
  position: relative;
  max-height: 336px;
  overflow-y: scroll;
}

.entry-divider {
  border-bottom: 1px solid var(--gray-3);
  color: var(--gray-2);
  padding: 8px 0 6px 24px;
  text-transform: capitalize;
  width: 100%;
}

.entry {
  align-items: center;
  color: var(--gray-1);
  display: flex;
  justify-content: space-between;
  outline: none;
  padding: 8px 24px;
  transition: 0.2s;

  p {
    pointer-events: none;
    &.tag {
      &::after {
        background: #c4c3ff;
        border-radius: 4px;
        color: #49002c;
        content: "new";
        font-size: 14px;
        line-height: 16px;
        margin-left: 12px;
        padding: 4px 12px;
        text-transform: uppercase;
      }
    }
  }

  &:focus,
  &:focus-visible,
  &[aria-selected="true"] {
    background: rgba(0, 0, 0, 0.05);
  }
}

.search {
  width: 100%;
  padding: 16px 24px;
  position: sticky;
  top: 0;
  color: inherit;
  font-size: 20px;
  font-weight: 400;
  line-height: 32px;
  border: none;
  box-shadow: 0px 1px 0px var(--gray-3);
  outline: none;
  background: #f8f8f8;
  transition: all 0.25s ease;

  ::-webkit-scrollbar {
    display: none;
  }

  &::placeholder {
    color: var(--gray-2);
  }

  &:focus,
  &:focus-visible {
    color: var(--gray-1);
  }
}

@media (max-width: 1000px) {
  h2 {
    font-size: 56px;
    letter-spacing: -2%;
    line-height: 56px;
  }

  .title h2 {
    width: 80vw;
  }
}

@media (max-width: 650px) {
  .menu {
    width: 90vw;
  }
}

@media (max-width: 500px) {
  .title h2 {
    width: 120vw;
  }

  .grid {
    display: grid;
    grid-gap: 32px;
    grid-template-columns: repeat(12, 150px);
    grid-template-rows: repeat(12, 150px);
    padding: 300px 24px;
    // border: 1px solid black;

    &:hover {
      cursor: grab;
    }

    &:active {
      cursor: grabbing;
    }
  }

  .map {
    bottom: 160px;
  }

  .menu {
    top: 10%;
  }
}

// @media (max-width: 540px) {
//   body {
//     background: url('/images/omg-bg.jpg');
//     background-size: cover;
//     overflow: visible;
//     overflow-x: hidden;
//   }

//   .App {
//     height: 200vh;
//   }
//   .grid {
//     display: none;
//   }
// }

// @media (prefers-color-scheme: light) {
//   :root {
//     --primary: #dadde8;
//     --secondary: #171520;
//     --tertiary: #8489ff;
//   }
//   span {
//     text-shadow: 1px 1px 5px #7a15ff, -1px -1px 5px #0088d6;
//   }
// }
